/****************************************
shipvar.h

The defines to get every var on ship
****************************************/


//Armor defines
#define SHIPMAXFARMOR(in_room) world[(in_room)].ship->maxfarmor
#define SHIPMAXRARMOR(in_room) world[(in_room)].ship->maxrarmor
#define SHIPMAXPARMOR(in_room) world[(in_room)].ship->maxparmor
#define SHIPMAXSARMOR(in_room) world[(in_room)].ship->maxsarmor
#define SHIPFARMOR(in_room) world[(in_room)].ship->farmor
#define SHIPRARMOR(in_room) world[(in_room)].ship->rarmor
#define SHIPPARMOR(in_room) world[(in_room)].ship->parmor
#define SHIPSARMOR(in_room) world[(in_room)].ship->sarmor
#define SHIPMAINSAIL(in_room) world[(in_room)].ship->mainsail
#define SHIPMAXMAINSAIL(in_room) world[(in_room)].ship->maxmainsail

//Internal defines
#define SHIPMAXRINTERNAL(in_room) world[(in_room)].ship->maxrinternal
#define SHIPMAXFINTERNAL(in_room) world[(in_room)].ship->maxfinternal
#define SHIPMAXPINTERNAL(in_room) world[(in_room)].ship->maxpinternal
#define SHIPMAXSINTERNAL(in_room) world[(in_room)].ship->maxsinternal
#define SHIPFINTERNAL(in_room) world[(in_room)].ship->finternal
#define SHIPRINTERNAL(in_room) world[(in_room)].ship->rinternal
#define SHIPPINTERNAL(in_room) world[(in_room)].ship->pinternal
#define SHIPSINTERNAL(in_room) world[(in_room)].ship->sinternal
#define SHIPHULLWEIGHT(in_room) world[(in_room)].ship->hullweight
#define SHIPMAXSLOTS(in_room) world[(in_room)].ship->maxslots
#define SHIPSAILNAME(in_room) world[(in_room)].ship->sailcrew.crewname
#define SHIPSAILSPEED(in_room) world[(in_room)].ship->sailcrew.speedadjust
#define SHIPSAILGUN(in_room) world[(in_room)].ship->sailcrew.gunadjust
#define SHIPSAILREPAIR(in_room) world[(in_room)].ship->sailcrew.repairspeed
#define SHIPGUNNAME(in_room) world[(in_room)].ship->guncrew.crewname
#define SHIPGUNSPEED(in_room) world[(in_room)].ship->guncrew.speedadjust
#define SHIPGUNGUN(in_room) world[(in_room)].ship->guncrew.gunadjust
#define SHIPGUNREPAIR(in_room) world[(in_room)].ship->guncrew.repairspeed
#define SHIPSLOT(in_room) world[(in_room)].ship->slot


//ID stuff
#define SHIPID(in_room) world[(in_room)].ship->id
#define SHIPOWNER(in_room) world[(in_room)].ship->owner
#define SHIPNAME(in_room) world[(in_room)].ship->name
#define SHIPNUM(in_room) world[(in_room)].ship->shipnum
#define SHIPOBJ(in_room) world[(in_room)].ship->shipobj

//movement related stuff
#define SHIPX(in_room) world[(in_room)].ship->x
#define SHIPY(in_room) world[(in_room)].ship->y
#define SHIPZ(in_room) world[(in_room)].ship->z
#define SHIPDX(in_room) world[(in_room)].ship->dx
#define SHIPDY(in_room) world[(in_room)].ship->dy
#define SHIPDZ(in_room) world[(in_room)].ship->dz
#define SHIPHEADING(in_room) world[(in_room)].ship->heading
#define SHIPSETHEADING(in_room) world[(in_room)].ship->setheading
#define SHIPSPEED(in_room) world[(in_room)].ship->speed
#define SHIPSETSPEED(in_room) world[(in_room)].ship->setspeed
#define SHIPMAXSPEED(in_room) world[(in_room)].ship->maxspeed
#define SHIPMAXTURNRATE(in_room) world[(in_room)].ship->maxturnrate
#define SHIPTURNRATE(in_room) world[(in_room)].ship->turnrate
#define SHIPDOCK(in_room) world[(in_room)].ship->dock
#define SHIPROOM(in_room) world[(in_room)].ship->shiproom
#define SHIPLOCATION(in_room) world[(in_room)].ship->location
#define SHIPMINSPEED(in_room) world[(in_room)].ship->minspeed

//Event related stuff
#define GET_SHIP_ACTION(shipnum) ships[(shipnum)].action
