
#define MODE_ACT	0
#define MODE_UNACT	1

#define MAX_STRING_LENGTH 8192

/* utils.c */
int get_line(FILE * fl, char *buf, FILE *actfile);
void fread_string(FILE * fl, char *error, FILE * outfile);
FILE *get_outputfile(char *fn, int mode);
char *bitvector_to_string(int number, char *words[]);
char *select_to_string(int number, char *words[]);
long string_to_bitvector(char *s, char *words[]);
long string_to_select(char *s, char *words[]);
int str_cmp(char *arg1, char *arg2);
int strn_cmp(char *arg1, char *arg2, int n);

/* [un]actwld.c */
void parse_room(FILE * fl, int virtual_nr, FILE *outfile);

/* [un]actobj.c */
char *parse_object(FILE * obj_f, int nr, FILE *actfile);

/* [un]actmob.c */
void parse_mobile(FILE * mob_f, int nr, FILE *actfile);

