/*****************************************************************/
/*                      World of GreyHawk                        */
/*      Begun in 1998, originally based on Circle3.0 and others  */
/* File:                                                         */
/* Purpose:                                                      */
/*****************************************************************/

struct guild_info {
  char *title;
  int colour;
  char *owner;
  char *description;
  char *old_description;
  char *ranksoldiertitle;
  char *ranksargeanttitle;
  char *rankcaptaintitle;
  char *rankrulertitle;
  int guildroom;
  int guildgold;
  int nummembers;
  int number;
  int status;
};

struct guild_colours {
  char *colour_string;
};

struct guild_editing {
  int mode;			/* What edit mode are we in? */
  struct descriptor_data *desc;	/* Who owns this guild node? */
  int guild;
};

#define GUILD_DEBUG_UNKNOWN		0
#define GUILD_DEBUG_ALL			1
#define GUILD_DEBUG_CREF			2
#define GUILD_DEBUG_NODE			3
#define GUILD_DEBUG_VAR			4

#define CLEAN_NODE	0
#define CLEAN_ALL	1

#define GUILD_EDIT_CONFIRM_SAVE	0
#define GUILD_EDIT_MAIN_MENU	1
#define GUILD_EDIT_NAME		2
#define GUILD_EDIT_NUMBER	3
#define GUILD_EDIT_GOLD		4
#define GUILD_EDIT_OWNER		5
#define GUILD_EDIT_DESCRIPTION	6
#define GUILD_EDIT_GUILDROOM	7
#define GUILD_EDIT_COLOUR	8
#define GUILD_EDIT_RANK_MENU	9
#define GUILD_EDIT_SELECT_COLOUR 10
#define GUILD_EDIT_SOLDIER	11
#define GUILD_EDIT_SARGEANT	12
#define GUILD_EDIT_CAPTAIN	13
#define GUILD_EDIT_RULER		14
#define GUILD_EDIT_DESCRIPTION_FINISHED		15
#define GUILD_EDIT_CONFIRM_DELETE		16

#define GUILD_EDIT_MODE(num)	(guild_edit[(num)].mode)
#define GUILD_EDIT_DESC(num)	(guild_edit[(num)].desc)
#define GUILD_EDIT_GUILD(num)	(guild_edit[(num)].guild)

#define GUILDSTATUS(cnum)	(guild_index[(cnum)].status)
#define GUILD_DELETE		2
#define GUILD_NEW		1
#define GUILD_OLD		0

#define PLAYERGUILD(ch)		((ch)->player_specials->saved.guildnum)
#define PLAYERGUILDNUM(ch)	(cross_reference[(ch)->player_specials->saved.guildnum])
#define	GUILDNUM(guild)		((guild).number)
#define	GUILDNAME(guild)		((guild).title)
#define	GUILDRANK(ch)		((ch)->player_specials->saved.guildrank)
#define GUILDPLAYERS(guild) 	((guild).nummembers)
#define GUILDOWNER(guild)   	((guild).owner)
#define GUILDGOLD(guild)		((guild).guildgold)
#define GUILDROOM(guild)		((guild).guildroom)
#define GUILDDESC(guild)		((guild).description)
#define GUILDCOLOUR(num)	(guild_colour[guild_index[(num)].colour].colour_string)
#define GUILDCOLOR(num)		(guild_index[(num)].colour)

#define SOLDIERTITLE(guild)	((guild).ranksoldiertitle)
#define SARGEANTTITLE(guild)	((guild).ranksargeanttitle)
#define CAPTAINTITLE(guild)	((guild).rankcaptaintitle)
#define RULERTITLE(guild)	((guild).rankrulertitle)

#define GUILD_WHITE		0
#define GUILD_GREEN		1
#define GUILD_RED		2
#define GUILD_BLUE		3
#define GUILD_MAGENTA		4
#define GUILD_YELLOW		5
#define GUILD_CYAN		6
#define GUILD_NORMAL		7
